function [V, U, L, conf] = SampleInfo(filename, alfa)
%počítání intervalu spolehlivosti pomocí aplikace náhodného výběru
%% nahrání dat
%optimální hodnota účelové funkce
v(:,1) = readmatrix(filename,'Sheet','nn','Range','A2:AX2');

nl=length(v); %počet opakování
%% spočítání základních charakteristik
    V= mean(v);    %výběrový průměr
    S2 = var(v);   %výběrový rozptyl
    S=sqrt(S2);    %odchylka
    
%% spočítání intervalu spolehlivosti
if(strcmp(filename,'results_20.xls'))
    t = tinv(1-0.5*alfa,nl-1); %Studentovo rozdělení
else
    t = norminv(1-0.5*alfa);   %N(0,1)
end
L= V-t*S/sqrt(nl);  %dolní odhad
U= V+t*S/sqrt(nl);  %horní odhad

conf = U-L;     %rozsah intervalu spolehlivosti

fprintf('%s bylo zpracováno pomocí NV\n',filename );
end